Skip to content
Start here

Update Zero Trust account logging settings

PUT/accounts/{account_id}/gateway/logging

Update logging settings for the current Zero Trust account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string
Body ParametersJSONExpand Collapse
redact_pii: optional boolean

Indicate whether to redact personally identifiable information from activity logging (PII fields include source IP, user email, user ID, device ID, URL, referrer, and user agent).

settings_by_rule_type: optional { dns, http, l4 }

Configure logging settings for each rule type.

dns: optional { log_all, log_blocks }

Configure logging settings for DNS firewall.

log_all: optional boolean

Specify whether to log all requests to this service.

log_blocks: optional boolean

Specify whether to log only blocking requests to this service.

http: optional { log_all, log_blocks }

Configure logging settings for HTTP/HTTPS firewall.

log_all: optional boolean

Specify whether to log all requests to this service.

log_blocks: optional boolean

Specify whether to log only blocking requests to this service.

l4: optional { log_all, log_blocks }

Configure logging settings for Network firewall.

log_all: optional boolean

Specify whether to log all requests to this service.

log_blocks: optional boolean

Specify whether to log only blocking requests to this service.

ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
success: true

Indicate whether the API call was successful.

result: optional LoggingSetting { redact_pii, settings_by_rule_type }
redact_pii: optional boolean

Indicate whether to redact personally identifiable information from activity logging (PII fields include source IP, user email, user ID, device ID, URL, referrer, and user agent).

settings_by_rule_type: optional { dns, http, l4 }

Configure logging settings for each rule type.

dns: optional { log_all, log_blocks }

Configure logging settings for DNS firewall.

log_all: optional boolean

Specify whether to log all requests to this service.

log_blocks: optional boolean

Specify whether to log only blocking requests to this service.

http: optional { log_all, log_blocks }

Configure logging settings for HTTP/HTTPS firewall.

log_all: optional boolean

Specify whether to log all requests to this service.

log_blocks: optional boolean

Specify whether to log only blocking requests to this service.

l4: optional { log_all, log_blocks }

Configure logging settings for Network firewall.

log_all: optional boolean

Specify whether to log all requests to this service.

log_blocks: optional boolean

Specify whether to log only blocking requests to this service.

Update Zero Trust account logging settings

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/gateway/logging \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "redact_pii": true
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "redact_pii": true,
    "settings_by_rule_type": {
      "dns": {
        "log_all": false,
        "log_blocks": true
      },
      "http": {
        "log_all": false,
        "log_blocks": true
      },
      "l4": {
        "log_all": false,
        "log_blocks": true
      }
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "redact_pii": true,
    "settings_by_rule_type": {
      "dns": {
        "log_all": false,
        "log_blocks": true
      },
      "http": {
        "log_all": false,
        "log_blocks": true
      },
      "l4": {
        "log_all": false,
        "log_blocks": true
      }
    }
  }
}